summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
commitfa5e8e92d94ea9de5d49a1f5ad19abf7272503d0 (patch)
treeecc5fe98bb3e337641ece993bfc9b928fb2b2aa7 /eclass
parentdada2d5b0b1d7e87f9c3ebe4b31ca9b4f4b2ed62 (diff)
gentoo auto-resync : 17:06:2023 - 01:42:56
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37817 -> 37827 bytes
-rw-r--r--eclass/common-lisp-3.eclass14
-rw-r--r--eclass/flag-o-matic.eclass2
-rw-r--r--eclass/mercurial.eclass10
-rw-r--r--eclass/rpm.eclass13
5 files changed, 18 insertions, 21 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index c8a0ab6dca7d..4c81b9206712 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/common-lisp-3.eclass b/eclass/common-lisp-3.eclass
index 6c87ef3db842..b2dbff3513de 100644
--- a/eclass/common-lisp-3.eclass
+++ b/eclass/common-lisp-3.eclass
@@ -18,8 +18,6 @@ esac
if [[ -z ${_COMMON_LISP_3_ECLASS} ]]; then
_COMMON_LISP_3_ECLASS=1
-inherit eutils
-
# @ECLASS_VARIABLE: CLIMPLEMENTATIONS
# @DESCRIPTION:
# Common Lisp implementations
@@ -128,8 +126,16 @@ common-lisp-install-sources() {
common-lisp-install-one-source ${fpredicate} "${path}" "$(dirname "${path}")"
elif [[ -d ${path} ]] ; then
local files
- readarray -d '' files < <(find "${path}" -type f -print0 || die "cannot traverse ${path}" )
- common-lisp-install-sources -t ${ftype} "${files[@]}" || die
+ # test can be dropped in EAPI 8 which guarantees bash-5.0
+ if [[ ${BASH_VERSINFO[0]} -ge 5 ]]; then
+ readarray -d '' files < <(find "${path}" -type f -print0 \
+ || die "cannot traverse ${path}")
+ else
+ # readarray has no -d option in bash-4.2
+ readarray -t files < <(find "${path}" -type f -print \
+ || die "cannot traverse ${path}")
+ fi
+ common-lisp-install-sources -t ${ftype} "${files[@]}"
else
die "${path} is neither a regular file nor a directory"
fi
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index bef3abf69dde..0558e639b981 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -20,7 +20,7 @@ _FLAG_O_MATIC_ECLASS=1
inherit toolchain-funcs
-[[ ${EAPI} == [67] ]] && inherit eutils
+[[ ${EAPI} == 6 ]] && inherit eutils
# @FUNCTION: all-flag-vars
# @DESCRIPTION:
diff --git a/eclass/mercurial.eclass b/eclass/mercurial.eclass
index 27fb525bcbd6..16d9fc87cb0a 100644
--- a/eclass/mercurial.eclass
+++ b/eclass/mercurial.eclass
@@ -3,7 +3,7 @@
# @ECLASS: mercurial.eclass
# @MAINTAINER:
-# No maintainer <maintainer-needed@gentoo.org.
+# No maintainer <maintainer-needed@gentoo.org>
# @AUTHOR:
# Next gen author: Krzysztof Pawlik <nelchael@gentoo.org>
# Original author: Aron Griffis <agriffis@gentoo.org>
@@ -25,14 +25,6 @@ _MERCURIAL_ECLASS=1
PROPERTIES+=" live"
-case ${EAPI:-0} in
- 7)
- # For compatibiilty only (indirect inherits).
- # Eclass itself doesn't need it.
- inherit eutils
- ;;
-esac
-
BDEPEND="dev-vcs/mercurial"
# @ECLASS_VARIABLE: EHG_REPO_URI
diff --git a/eclass/rpm.eclass b/eclass/rpm.eclass
index c97e23144c2b..d8bb0ad2814d 100644
--- a/eclass/rpm.eclass
+++ b/eclass/rpm.eclass
@@ -1,16 +1,15 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: rpm.eclass
# @MAINTAINER:
# base-system@gentoo.org
-# @SUPPORTED_EAPIS: 5 6 7 8
+# @SUPPORTED_EAPIS: 6 7 8
# @BLURB: convenience class for extracting RPMs
case ${EAPI} in
- 5|6) inherit epatch eutils ;; # eutils for eqawarn
- 7) inherit eutils ;; # not needed, but ebuilds may still rely on it
- 8) ;;
+ 6) inherit epatch eutils ;; # eutils for eqawarn
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -20,7 +19,7 @@ _RPM_ECLASS=1
inherit estack
case ${EAPI} in
- 5|6) DEPEND="app-arch/rpm2targz" ;;
+ 6) DEPEND="app-arch/rpm2targz" ;;
*) BDEPEND="app-arch/rpm2targz" ;;
esac
@@ -98,7 +97,7 @@ rpm_src_unpack() {
# files around, well this won't handle that.
rpm_spec_epatch() {
# no epatch in EAPI 7 and later
- [[ ${EAPI} == [56] ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
+ [[ ${EAPI} == 6 ]] || die "${FUNCNAME} is banned in EAPI ${EAPI}"
local p spec=$1
local dir